# Type alias PageCfg

PageCfg: {
attributes?: any;
description: string;
fixed_states?: string | any;
id?: number;
layout: string | Layout | GenObj;
min_role: number;
name: string;
title: string;
}

#### Type declaration

- ##### `Optional` attributes?: any

- ##### description: string

- ##### `Optional` fixed_states?: string | any

- ##### `Optional` id?: number

- ##### layout: string | Layout | GenObj

- ##### min_role: number

- ##### name: string

- ##### title: string

- Defined in saltcorn-types/model-abstracts/abstract_page.ts:15

Generated using TypeDoc